[NeoStats-Devel] [Commits] r2639 - in trunk: . include lib lib/curl lib/event lib/pcre modules modules/connectserv modules/dccpartyline modules/extauth modules/hostserv modules/ircdauth modules/limitserv modules/operlog modules/quoteserv modules/statserv modules/textserv src src/dbm src/dbm/bdb src/dbm/gdbm src/protocol

[email protected]
Newsgroups gmane.comp.neostats.devel
Message-ID <[email protected]>
Author: Fish
Date: Wed Jul  6 18:44:09 2005
New Revision: 2639

Added:
   trunk/src/perl.c
Modified:
   trunk/ChangeLog
   trunk/Makefile.in
   trunk/configure
   trunk/configure.in
   trunk/include/Makefile.in
   trunk/include/config.h.in
   trunk/include/neostats.h
   trunk/lib/Makefile.in
   trunk/lib/curl/Makefile.in
   trunk/lib/event/Makefile.in
   trunk/lib/pcre/Makefile.in
   trunk/modules/Makefile.in
   trunk/modules/connectserv/Makefile.in
   trunk/modules/dccpartyline/Makefile.in
   trunk/modules/extauth/Makefile.in
   trunk/modules/hostserv/Makefile.in
   trunk/modules/ircdauth/Makefile.in
   trunk/modules/limitserv/Makefile.in
   trunk/modules/operlog/Makefile.in
   trunk/modules/quoteserv/Makefile.in
   trunk/modules/statserv/Makefile.in
   trunk/modules/textserv/Makefile.in
   trunk/src/Makefile.am
   trunk/src/Makefile.in
   trunk/src/dbm/Makefile.in
   trunk/src/dbm/bdb/Makefile.in
   trunk/src/dbm/gdbm/Makefile.in
   trunk/src/protocol/Makefile.in
Log:
implement configure framework for perl support

Modified: trunk/ChangeLog
==============================================================================
--- trunk/ChangeLog	(original)
+++ trunk/ChangeLog	Wed Jul  6 18:44:09 2005
@@ -4,6 +4,7 @@
 Fish (F), Mark (M), DeadNotBuried (D)
 ===============================================================================
 * NeoStats * Version 3.0.a3-dev
+ - Implement framework for Perl Support (F)
  - Fix warnings that GCC 4.0 generates (F)
  - LimitServ: set minimum limit settable by LimitServ to Users + 1 (D)
  - LimitServ: fix paramter order being passed to ManageLimits (D)

Modified: trunk/Makefile.in
==============================================================================
--- trunk/Makefile.in	(original)
+++ trunk/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -123,6 +123,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -162,6 +164,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -209,12 +213,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 AUTOMAKE_OPTIONS = foreign
 SUBDIRS = include lib src modules

Modified: trunk/configure
==============================================================================
--- trunk/configure	(original)
+++ trunk/configure	Wed Jul  6 18:44:09 2005
@@ -464,7 +464,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct
 _RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CX!
 XCPP F77 FFLAGS ac_ct_F77 LIBTOOL YACC LEX LEXLIB LEX_OUTPUT_ROOT SED LIBOBJS POW_LIB PCRE_LIBS PCRE_CFLAGS BUILD_PCRE_TRUE BUILD_PCRE_FALSE CURL_LIBS CURL_CFLAGS BUILD_CURL_TRUE BUILD_CURL_FALSE wi_PWD USECCDV PROTOCOL LIBTOOL_DEPS MODULES LIBDB CCDV EVNTLIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct
 _RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CX!
 XCPP F77 FFLAGS ac_ct_F77 LIBTOOL YACC LEX LEXLIB LEX_OUTPUT_ROOT SED LIBOBJS POW_LIB PCRE_LIBS PCRE_CFLAGS BUILD_PCRE_TRUE BUILD_PCRE_FALSE CURL_LIBS CURL_CFLAGS BUILD_CURL_TRUE BUILD_CURL_FALSE unamepath sedpath perlpath PERL_CFLAGS PERL_LDFLAGS DO_PERL_TRUE DO_PERL_FALSE wi_PWD USECCDV PROTOCOL LIBTOOL_DEPS MODULES LIBDB CCDV EVNTLIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1036,6 +1036,7 @@
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --disable-largefile     omit support for large files
+  --disable-perl          don't build the perl plugin
   --disable-ccdv          disable use of ccdv program in Makefiles
   --enable-debug - Enable Debuging
   --enable-autodebug - Enable AutoTools Debug
@@ -2024,6 +2025,7 @@
 
 
 
+
 # Checks for programs.
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
@@ -3735,7 +3737,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3738 "configure"' > conftest.$ac_ext
+  echo '#line 3740 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5314,7 +5316,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:5317:" \
+echo "$as_me:5319:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6383,11 +6385,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6386: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6388: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6390: \$? = $ac_status" >&5
+   echo "$as_me:6392: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6638,11 +6640,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6641: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6643: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6645: \$? = $ac_status" >&5
+   echo "$as_me:6647: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6698,11 +6700,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6701: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6703: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6705: \$? = $ac_status" >&5
+   echo "$as_me:6707: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8898,7 +8900,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8901 "configure"
+#line 8903 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8996,7 +8998,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8999 "configure"
+#line 9001 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11216,11 +11218,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11219: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11221: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11223: \$? = $ac_status" >&5
+   echo "$as_me:11225: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -11276,11 +11278,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11279: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11281: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11283: \$? = $ac_status" >&5
+   echo "$as_me:11285: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12639,7 +12641,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12642 "configure"
+#line 12644 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12737,7 +12739,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12740 "configure"
+#line 12742 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13592,11 +13594,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13595: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13597: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13599: \$? = $ac_status" >&5
+   echo "$as_me:13601: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13652,11 +13654,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13655: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13657: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13659: \$? = $ac_status" >&5
+   echo "$as_me:13661: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15708,11 +15710,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15711: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15713: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15715: \$? = $ac_status" >&5
+   echo "$as_me:15717: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15963,11 +15965,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15966: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15968: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15970: \$? = $ac_status" >&5
+   echo "$as_me:15972: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16023,11 +16025,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16026: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16028: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16030: \$? = $ac_status" >&5
+   echo "$as_me:16032: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18223,7 +18225,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18226 "configure"
+#line 18228 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18321,7 +18323,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18324 "configure"
+#line 18326 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -26908,6 +26910,214 @@
 
 
 
+	# Extract the first word of "uname", so it can be a program name with args.
+set dummy uname; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_unamepath+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $unamepath in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_unamepath="$unamepath" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_unamepath="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+unamepath=$ac_cv_path_unamepath
+
+if test -n "$unamepath"; then
+  echo "$as_me:$LINENO: result: $unamepath" >&5
+echo "${ECHO_T}$unamepath" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+	if test "_$unamepath" = _; then
+		system="unknown"
+	else
+		echo "$as_me:$LINENO: checking system type" >&5
+echo $ECHO_N "checking system type... $ECHO_C" >&6
+		system=`$unamepath -s`
+		echo "$as_me:$LINENO: result: $system" >&5
+echo "${ECHO_T}$system" >&6
+	fi
+
+
+	# Check whether --enable-perl or --disable-perl was given.
+if test "${enable_perl+set}" = set; then
+  enableval="$enable_perl"
+  perl=$enableval
+else
+  perl=yes
+fi;
+
+	if test "$perl" = yes; then
+
+echo ""
+autotools/shtool echo -e "%BConfiguring for Perl Modules Now%b"
+echo ""
+
+		# Extract the first word of "sed", so it can be a program name with args.
+set dummy sed; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_sedpath+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $sedpath in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_sedpath="$sedpath" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_sedpath="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+sedpath=$ac_cv_path_sedpath
+
+if test -n "$sedpath"; then
+  echo "$as_me:$LINENO: result: $sedpath" >&5
+echo "${ECHO_T}$sedpath" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+		if test "_$sedpath" = _; then
+			{ { echo "$as_me:$LINENO: error: \"Cannot find sed: I need it\!\"" >&5
+echo "$as_me: error: \"Cannot find sed: I need it\!\"" >&2;}
+   { (exit 1); exit 1; }; }
+		fi
+
+		# Extract the first word of "perl", so it can be a program name with args.
+set dummy perl; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_perlpath+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $perlpath in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_perlpath="$perlpath" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_perlpath="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+perlpath=$ac_cv_path_perlpath
+
+if test -n "$perlpath"; then
+  echo "$as_me:$LINENO: result: $perlpath" >&5
+echo "${ECHO_T}$perlpath" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+
+		echo "$as_me:$LINENO: checking for Perl compile flags" >&5
+echo $ECHO_N "checking for Perl compile flags... $ECHO_C" >&6
+		PERL_CFLAGS=`$perlpath -MExtUtils::Embed -e ccopts 2>/dev/null`
+		if test "_$PERL_CFLAGS" = _ ; then
+			echo "$as_me:$LINENO: result: not found, building without perl." >&5
+echo "${ECHO_T}not found, building without perl." >&6
+			perl=no
+		else
+			PERL_LDFLAGS=`$perlpath -MExtUtils::Embed -e ldopts |$sedpath 's/-lgdbm //'`
+			PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-ldb //'`
+			PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lndbm //'`
+			if test "$system" = "Linux"; then
+				PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lnsl //'`
+				PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lposix //'`
+			fi
+			PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lc //'`
+			echo "$as_me:$LINENO: result: ok" >&5
+echo "${ECHO_T}ok" >&6
+
+			echo "$as_me:$LINENO: checking for $perlpath >= 5.8.0" >&5
+echo $ECHO_N "checking for $perlpath >= 5.8.0... $ECHO_C" >&6
+			PERL_VER=`$perlpath -e 'print $]>= 5.008?"yes":"no"'`
+
+			if test "$PERL_VER" = "yes"; then
+				echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define USE_PERL 1
+_ACEOF
+
+			else
+				echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+				PERL_LDFLAGS=""
+				PERL_CFLAGS=""
+				perl=no
+			fi
+		fi
+	fi
+
+
+
+
+
+
+if test "x$perl" = "xyes"; then
+  DO_PERL_TRUE=
+  DO_PERL_FALSE='#'
+else
+  DO_PERL_TRUE='#'
+  DO_PERL_FALSE=
+fi
+
+
+
+
+
+
 
 cat >>confdefs.h <<_ACEOF
 #define NS_HOST "$host_os"
@@ -28297,6 +28507,8 @@
 fi;
 
 
+
+
 echo "$as_me:$LINENO: checking The Modules that will be automatically compiled" >&5
 echo $ECHO_N "checking The Modules that will be automatically compiled... $ECHO_C" >&6
 echo "$as_me:$LINENO: result: $MODULES" >&5
@@ -28516,6 +28728,13 @@
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${DO_PERL_TRUE}" && test -z "${DO_PERL_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"DO_PERL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"DO_PERL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
@@ -29153,6 +29372,13 @@
 s,@CURL_CFLAGS@,$CURL_CFLAGS,;t t
 s,@BUILD_CURL_TRUE@,$BUILD_CURL_TRUE,;t t
 s,@BUILD_CURL_FALSE@,$BUILD_CURL_FALSE,;t t
+s,@unamepath@,$unamepath,;t t
+s,@sedpath@,$sedpath,;t t
+s,@perlpath@,$perlpath,;t t
+s,@PERL_CFLAGS@,$PERL_CFLAGS,;t t
+s,@PERL_LDFLAGS@,$PERL_LDFLAGS,;t t
+s,@DO_PERL_TRUE@,$DO_PERL_TRUE,;t t
+s,@DO_PERL_FALSE@,$DO_PERL_FALSE,;t t
 s,@wi_PWD@,$wi_PWD,;t t
 s,@USECCDV@,$USECCDV,;t t
 s,@PROTOCOL@,$PROTOCOL,;t t

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Wed Jul  6 18:44:09 2005
@@ -24,6 +24,7 @@
 AC_DEFINE_UNQUOTED(REV, $x_rev, "Revision Version Number")
 AC_DEFINE_UNQUOTED(VERSION, $x_version, "Full Version")
 AC_MSG_HEADER([Configuring Core Now])
+
 AC_LIBTOOL_DLOPEN
 dnl AC_DISABLE_SHARED
 dnl AC_LIBTOOL_WIN32_DLL
@@ -276,6 +277,69 @@
 AX_PATH_LIB_PCRE
 AX_PATH_LIB_CURL
 
+	AC_PATH_PROG(unamepath, uname)
+	if test "_$unamepath" = _; then
+		system="unknown"
+	else
+		AC_MSG_CHECKING(system type)
+		system=`$unamepath -s`
+		AC_MSG_RESULT($system)
+	fi
+
+
+	AC_ARG_ENABLE(perl,
+	[  --disable-perl          don't build the perl plugin],
+	        perl=$enableval, perl=yes)
+
+	if test "$perl" = yes; then
+		AC_MSG_HEADER([Configuring for Perl Modules Now])
+		AC_PATH_PROG(sedpath, sed)
+		if test "_$sedpath" = _; then
+			AC_MSG_ERROR("Cannot find sed: I need it\!")
+		fi
+
+		AC_PATH_PROG(perlpath, perl)
+
+		AC_MSG_CHECKING(for Perl compile flags)
+		PERL_CFLAGS=`$perlpath -MExtUtils::Embed -e ccopts 2>/dev/null`
+		if test "_$PERL_CFLAGS" = _ ; then
+			AC_MSG_RESULT([not found, building without perl.])
+			perl=no
+		else
+			PERL_LDFLAGS=`$perlpath -MExtUtils::Embed -e ldopts |$sedpath 's/-lgdbm //'`
+			PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-ldb //'`
+			PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lndbm //'`
+			if test "$system" = "Linux"; then
+				PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lnsl //'`
+				PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lposix //'`
+			fi
+			PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lc //'`
+			AC_MSG_RESULT(ok)
+
+			AC_MSG_CHECKING(for $perlpath >= 5.8.0)
+			PERL_VER=`$perlpath -e 'print $]>= 5.008?"yes":"no"'`
+
+			if test "$PERL_VER" = "yes"; then
+				AC_MSG_RESULT(yes)
+				AC_DEFINE_UNQUOTED(USE_PERL, 1, 'Enable Perl Support')
+			else
+				AC_MSG_RESULT(no)
+				PERL_LDFLAGS=""
+				PERL_CFLAGS=""
+				perl=no
+			fi
+		fi
+	fi
+
+
+AC_SUBST(PERL_CFLAGS)
+AC_SUBST(PERL_LDFLAGS)
+AM_CONDITIONAL(DO_PERL, test "x$perl" = "xyes")
+
+
+
+
+
 AC_DEFINE_UNQUOTED(NS_HOST, "$host_os", "Operating System Host")
 AC_MSG_HEADER([Configuring CCDV Now])
 wi_ARG_DISABLE_CCDV
@@ -337,6 +401,8 @@
 )
 
 
+
+
 AC_MSG_CHECKING(The Modules that will be automatically compiled)
 AC_MSG_RESULT($MODULES)
 

Modified: trunk/include/Makefile.in
==============================================================================
--- trunk/include/Makefile.in	(original)
+++ trunk/include/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -94,6 +94,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -133,6 +135,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -180,12 +184,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 BUILT_SOURCES = version.h
 CLEANFILES = version.h

Modified: trunk/include/config.h.in
==============================================================================
--- trunk/include/config.h.in	(original)
+++ trunk/include/config.h.in	Wed Jul  6 18:44:09 2005
@@ -1,13 +1,5 @@
 /* include/config.h.in.  Generated from configure.in by autoheader.  */
 
-/* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
-   systems. This function is required for `alloca.c' support on those systems.
-   */
-#undef CRAY_STACKSEG_END
-
-/* Define to 1 if using `alloca.c'. */
-#undef C_ALLOCA
-
 /* 'Enable Debugging' */
 #undef DEBUG
 
@@ -15,11 +7,7 @@
    curl */
 #undef DISABLED_THREADSAFE
 
-/* Define to 1 if you have `alloca', as a function or macro. */
-#undef HAVE_ALLOCA
-
-/* Define to 1 if you have <alloca.h> and it should be used (not on Ultrix).
-   */
+/* Define to 1 if you have the <alloca.h> header file. */
 #undef HAVE_ALLOCA_H
 
 /* Define to 1 if you have the <arpa/inet.h> header file. */
@@ -37,9 +25,6 @@
 /* Define to 1 if you have the `bcopy' function. */
 #undef HAVE_BCOPY
 
-/* Define to 1 if you have the `btowc' function. */
-#undef HAVE_BTOWC
-
 /* Define to 1 if you have the `closesocket' function. */
 #undef HAVE_CLOSESOCKET
 
@@ -49,10 +34,6 @@
 /* Define to 1 if you have the <db.h> header file. */
 #undef HAVE_DB_H
 
-/* Define to 1 if you have the declaration of `getenv', and to 0 if you don't.
-   */
-#undef HAVE_DECL_GETENV
-
 /* Define if /dev/poll is available */
 #undef HAVE_DEVPOLL
 
@@ -134,12 +115,12 @@
 /* Define to 1 if you have the `inet_addr' function. */
 #undef HAVE_INET_ADDR
 
-/* Define to 1 if you have the `inet_ntoa' function. */
-#undef HAVE_INET_NTOA
-
 /* Define to 1 if you have the `inet_aton' function. */
 #undef HAVE_INET_ATON
 
+/* Define to 1 if you have the `inet_ntoa' function. */
+#undef HAVE_INET_NTOA
+
 /* Define to 1 if you have the `inet_ntop' function. */
 #undef HAVE_INET_NTOP
 
@@ -167,9 +148,6 @@
 /* Define to 1 if you have the `nsl' library (-lnsl). */
 #undef HAVE_LIBNSL
 
-/* Define to 1 if you have the `pcre' library (-lpcre). */
-#undef HAVE_LIBPCRE
-
 /* Define to 1 if you have the `resolve' library (-lresolve). */
 #undef HAVE_LIBRESOLVE
 
@@ -185,12 +163,6 @@
 /* Define to 1 if you have the <malloc.h> header file. */
 #undef HAVE_MALLOC_H
 
-/* Define to 1 if you have the `mbsrtowcs' function. */
-#undef HAVE_MBSRTOWCS
-
-/* Define to 1 if <wchar.h> declares mbstate_t. */
-#undef HAVE_MBSTATE_T
-
 /* Define to 1 if you have the `memmove' function. */
 #undef HAVE_MEMMOVE
 
@@ -200,9 +172,6 @@
 /* Define to 1 if you have the <memory.y> header file. */
 #undef HAVE_MEMORY_Y
 
-/* Define to 1 if you have the `mempcpy' function. */
-#undef HAVE_MEMPCPY
-
 /* Define to 1 if you have the <netdb.h> header file. */
 #undef HAVE_NETDB_H
 
@@ -336,6 +305,9 @@
 /* Define to 1 if you have the <sys/devpoll.h> header file. */
 #undef HAVE_SYS_DEVPOLL_H
 
+/* Define to 1 if you have the <sys/dir.h> header file. */
+#undef HAVE_SYS_DIR_H
+
 /* Define to 1 if you have the <sys/epoll.h> header file. */
 #undef HAVE_SYS_EPOLL_H
 
@@ -345,9 +317,6 @@
 /* Define to 1 if you have the <sys/file.h> header file. */
 #undef HAVE_SYS_FILE_H
 
-/* Define to 1 if you have the <sys/dir.h> header file. */
-#undef HAVE_SYS_DIR_H
-
 /* Define to 1 if you have the <sys/ioctl.h> header file. */
 #undef HAVE_SYS_IOCTL_H
 
@@ -432,18 +401,9 @@
 /* Define to 1 if you have the `vprintf' function. */
 #undef HAVE_VPRINTF
 
-/* Define to 1 if you have the <wchar.h> header file. */
-#undef HAVE_WCHAR_H
-
-/* Define to 1 if you have the <wctype.h> header file. */
-#undef HAVE_WCTYPE_H
-
 /* Define to 1 if you have the <winsock.h> header file. */
 #undef HAVE_WINSOCK_H
 
-/* Define to 1 if you have the `wmempcpy' function. */
-#undef HAVE_WMEMPCPY
-
 /* Define to 1 if `fork' works. */
 #undef HAVE_WORKING_FORK
 
@@ -538,14 +498,6 @@
 /* The size of a `off_t', as computed by sizeof. */
 #undef SIZEOF_OFF_T
 
-/* If using the C implementation of alloca, define if you know the
-   direction of stack growth for your system; otherwise it will be
-   automatically deduced at run-time.
-	STACK_DIRECTION > 0 => grows toward higher addresses
-	STACK_DIRECTION < 0 => grows toward lower addresses
-	STACK_DIRECTION = 0 => direction of growth unknown */
-#undef STACK_DIRECTION
-
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
@@ -555,6 +507,12 @@
 /* Define to 1 if your <sys/time.h> declares `struct tm'. */
 #undef TM_IN_SYS_TIME
 
+/* "Use the local copy of PCRE" */
+#undef USE_LOCAL_PCRE
+
+/* 'Enable Perl Support' */
+#undef USE_PERL
+
 /* 'Use Raw command' */
 #undef USE_RAW
 
@@ -574,9 +532,6 @@
 /* Define to empty if `const' does not conform to ANSI C. */
 #undef const
 
-/* Define to rpl_fnmatch if the replacement function should be used. */
-#undef fnmatch
-
 /* type to use in place of in_addr_t if not defined */
 #undef in_addr_t
 
@@ -586,9 +541,6 @@
 #undef inline
 #endif
 
-/* Define to a type if <wchar.h> does not define. */
-#undef mbstate_t
-
 /* Define to `long' if <sys/types.h> does not define. */
 #undef off_t
 

Modified: trunk/include/neostats.h
==============================================================================
--- trunk/include/neostats.h	(original)
+++ trunk/include/neostats.h	Wed Jul  6 18:44:09 2005
@@ -69,9 +69,7 @@
 #include <time.h>
 #endif /* HAVE_TIME_H */
 #ifdef HAVE_STRING_H
-#define __USE_GNU
 #include <string.h>
-#undef __USE_GNU
 #endif  /* HAVE_STRING_H */
 #ifdef HAVE_STDARG_H
 #include <stdarg.h>

Modified: trunk/lib/Makefile.in
==============================================================================
--- trunk/lib/Makefile.in	(original)
+++ trunk/lib/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -90,6 +90,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -129,6 +131,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -176,12 +180,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 SUBDIRS = pcre curl event
 LINK = $(LIBTOOL) --tag=CXX --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \

Modified: trunk/lib/curl/Makefile.in
==============================================================================
--- trunk/lib/curl/Makefile.in	(original)
+++ trunk/lib/curl/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -122,6 +122,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -161,6 +163,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -208,12 +212,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 AUTOMAKE_OPTIONS = foreign nostdinc
 EXTRA_DIST = getdate.y 

Modified: trunk/lib/event/Makefile.in
==============================================================================
--- trunk/lib/event/Makefile.in	(original)
+++ trunk/lib/event/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -115,6 +115,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -154,6 +156,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -201,12 +205,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 noinst_LIBRARIES = libevent.a
 libevent_a_SOURCES = buffer.c devpoll.c epoll.c epoll_sub.c evbuffer.c event.c kqueue.c poll.c rtsig.c select.c signal.c log.c

Modified: trunk/lib/pcre/Makefile.in
==============================================================================
--- trunk/lib/pcre/Makefile.in	(original)
+++ trunk/lib/pcre/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -117,6 +117,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -156,6 +158,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -203,12 +207,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 lib_LTLIBRARIES = libpcre.la
 libpcre_la_SOURCES = chartables.c get.c pcre.c study.c internal.h pcre.h

Modified: trunk/modules/Makefile.in
==============================================================================
--- trunk/modules/Makefile.in	(original)
+++ trunk/modules/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -90,6 +90,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -129,6 +131,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -176,12 +180,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 SUBDIRS = @MODULES@
 EXTRA_DIST = modules.txt

Modified: trunk/modules/connectserv/Makefile.in
==============================================================================
--- trunk/modules/connectserv/Makefile.in	(original)
+++ trunk/modules/connectserv/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = connectserv.la
 connectserv_la_SOURCES = cs.c cs.h cs_help.c

Modified: trunk/modules/dccpartyline/Makefile.in
==============================================================================
--- trunk/modules/dccpartyline/Makefile.in	(original)
+++ trunk/modules/dccpartyline/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = dccpartyline.la
 dccpartyline_la_SOURCES = main.c 

Modified: trunk/modules/extauth/Makefile.in
==============================================================================
--- trunk/modules/extauth/Makefile.in	(original)
+++ trunk/modules/extauth/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = extauth.la
 extauth_la_SOURCES = extauth.c 

Modified: trunk/modules/hostserv/Makefile.in
==============================================================================
--- trunk/modules/hostserv/Makefile.in	(original)
+++ trunk/modules/hostserv/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = hostserv.la
 hostserv_la_SOURCES = hostserv.c hostserv.h hs_help.c

Modified: trunk/modules/ircdauth/Makefile.in
==============================================================================
--- trunk/modules/ircdauth/Makefile.in	(original)
+++ trunk/modules/ircdauth/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = ircdauth.la
 ircdauth_la_SOURCES = ircdauth.c 

Modified: trunk/modules/limitserv/Makefile.in
==============================================================================
--- trunk/modules/limitserv/Makefile.in	(original)
+++ trunk/modules/limitserv/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = limitserv.la
 limitserv_la_SOURCES = main.c limitserv.h help.c

Modified: trunk/modules/operlog/Makefile.in
==============================================================================
--- trunk/modules/operlog/Makefile.in	(original)
+++ trunk/modules/operlog/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = operlog.la
 operlog_la_SOURCES = main.c help.c operlog.h

Modified: trunk/modules/quoteserv/Makefile.in
==============================================================================
--- trunk/modules/quoteserv/Makefile.in	(original)
+++ trunk/modules/quoteserv/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -110,6 +110,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -149,6 +151,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -196,12 +200,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = quoteserv.la
 quoteserv_la_SOURCES = main.c quoteserv.h help.c

Modified: trunk/modules/statserv/Makefile.in
==============================================================================
--- trunk/modules/statserv/Makefile.in	(original)
+++ trunk/modules/statserv/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -112,6 +112,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -151,6 +153,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -198,12 +202,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = statserv.la
 statserv_la_SOURCES = ss_help.c \

Modified: trunk/modules/textserv/Makefile.in
==============================================================================
--- trunk/modules/textserv/Makefile.in	(original)
+++ trunk/modules/textserv/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -110,6 +110,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -149,6 +151,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -196,12 +200,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = textserv.la
 textserv_la_SOURCES = main.c textserv.h help.c

Modified: trunk/src/Makefile.am
==============================================================================
--- trunk/src/Makefile.am	(original)
+++ trunk/src/Makefile.am	Wed Jul  6 18:44:09 2005
@@ -12,10 +12,17 @@
 		adnscheck.c adnsevent.c adnsgeneral.c adnsparse.c adnsquery.c \
 		adnsreply.c adnssetup.c adnstransmit.c adnstypes.c \
 		oscalls.c ossocket.c osfile.c updates.c
-AM_CFLAGS = @PCRE_CFLAGS@ @CURL_CFLAGS@ -DNEOSTATSCORE \
+if DO_PERL
+neostats_SOURCES += perl.c
+else
+neostats_SOURCES +=
+endif
+
+AM_CFLAGS = @PCRE_CFLAGS@ @CURL_CFLAGS@ -DNEOSTATSCORE @PERL_CFLAGS@ \
 		-I$(top_srcdir)/lib/event
-neostats_LDADD = @PCRE_LIBS@ @CURL_LIBS@ @LIBDB@ \
+neostats_LDADD = @PCRE_LIBS@ @CURL_LIBS@ @LIBDB@ @PERL_LDFLAGS@ \
 		$(top_srcdir)/lib/event/libevent.a
+
 neostats_LDFLAGS = --export-dynamic -rdynamic
 noinst_HEADERS          =       confuselexer.l
 

Modified: trunk/src/Makefile.in
==============================================================================
--- trunk/src/Makefile.in	(original)
+++ trunk/src/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -39,6 +39,8 @@
 build_triplet = @build@
 host_triplet = @host@
 bin_PROGRAMS = neostats$(EXEEXT)
+@DO_PERL_TRUE@am__append_1 = perl.c
+@DO_PERL_FALSE@am__append_2 = 
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(top_srcdir)/autotools/rules.mk
 subdir = src
@@ -57,6 +59,18 @@
 am__installdirs = "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
+am__neostats_SOURCES_DIST = auth.c bans.c bots.c channels.c commands.c \
+	confuse.c confuselexer.c nsdba.c conf.c dl.c dns.c exclude.c \
+	hash.c ircstring.c ircprotocol.c ircsend.c ircrecv.c lang.c \
+	list.c log.c main.c match.c misc.c modules.c helpstrings.c \
+	servers.c services.c signals.c sock.c support.c timer.c \
+	transfer.c users.c modes.c ctcp.c dcc.c nsmemory.c base64.c \
+	numerics.c settings.c botinfo.c adnscheck.c adnsevent.c \
+	adnsgeneral.c adnsparse.c adnsquery.c adnsreply.c adnssetup.c \
+	adnstransmit.c adnstypes.c oscalls.c ossocket.c osfile.c \
+	updates.c perl.c
+@DO_PERL_TRUE@am__objects_1 = perl.$(OBJEXT)
+am__objects_2 =
 am_neostats_OBJECTS = auth.$(OBJEXT) bans.$(OBJEXT) bots.$(OBJEXT) \
 	channels.$(OBJEXT) commands.$(OBJEXT) confuse.$(OBJEXT) \
 	confuselexer.$(OBJEXT) nsdba.$(OBJEXT) conf.$(OBJEXT) \
@@ -73,7 +87,8 @@
 	adnsevent.$(OBJEXT) adnsgeneral.$(OBJEXT) adnsparse.$(OBJEXT) \
 	adnsquery.$(OBJEXT) adnsreply.$(OBJEXT) adnssetup.$(OBJEXT) \
 	adnstransmit.$(OBJEXT) adnstypes.$(OBJEXT) oscalls.$(OBJEXT) \
-	ossocket.$(OBJEXT) osfile.$(OBJEXT) updates.$(OBJEXT)
+	ossocket.$(OBJEXT) osfile.$(OBJEXT) updates.$(OBJEXT) \
+	$(am__objects_1) $(am__objects_2)
 neostats_OBJECTS = $(am_neostats_OBJECTS)
 neostats_DEPENDENCIES = $(top_srcdir)/lib/event/libevent.a
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
@@ -86,7 +101,7 @@
 	$(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
 SOURCES = $(neostats_SOURCES)
-DIST_SOURCES = $(neostats_SOURCES)
+DIST_SOURCES = $(am__neostats_SOURCES_DIST)
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
 	install-exec-recursive install-info-recursive \
@@ -127,6 +142,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -166,6 +183,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -213,29 +232,31 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 SUBDIRS = dbm protocol
-neostats_SOURCES = auth.c bans.c bots.c channels.c commands.c confuse.c confuselexer.c nsdba.c \
-		conf.c dl.c dns.c exclude.c hash.c ircstring.c \
-		ircprotocol.c ircsend.c ircrecv.c \
-		lang.c list.c log.c main.c match.c misc.c modules.c \
-		helpstrings.c servers.c services.c signals.c sock.c support.c \
-		timer.c transfer.c users.c modes.c ctcp.c dcc.c nsmemory.c \
-		base64.c numerics.c settings.c botinfo.c \
-		adnscheck.c adnsevent.c adnsgeneral.c adnsparse.c adnsquery.c \
-		adnsreply.c adnssetup.c adnstransmit.c adnstypes.c \
-		oscalls.c ossocket.c osfile.c updates.c
-
-AM_CFLAGS = @PCRE_CFLAGS@ @CURL_CFLAGS@ -DNEOSTATSCORE \
+neostats_SOURCES = auth.c bans.c bots.c channels.c commands.c \
+	confuse.c confuselexer.c nsdba.c conf.c dl.c dns.c exclude.c \
+	hash.c ircstring.c ircprotocol.c ircsend.c ircrecv.c lang.c \
+	list.c log.c main.c match.c misc.c modules.c helpstrings.c \
+	servers.c services.c signals.c sock.c support.c timer.c \
+	transfer.c users.c modes.c ctcp.c dcc.c nsmemory.c base64.c \
+	numerics.c settings.c botinfo.c adnscheck.c adnsevent.c \
+	adnsgeneral.c adnsparse.c adnsquery.c adnsreply.c adnssetup.c \
+	adnstransmit.c adnstypes.c oscalls.c ossocket.c osfile.c \
+	updates.c $(am__append_1) $(am__append_2)
+AM_CFLAGS = @PCRE_CFLAGS@ @CURL_CFLAGS@ -DNEOSTATSCORE @PERL_CFLAGS@ \
 		-I$(top_srcdir)/lib/event
 
-neostats_LDADD = @PCRE_LIBS@ @CURL_LIBS@ @LIBDB@ \
+neostats_LDADD = @PCRE_LIBS@ @CURL_LIBS@ @LIBDB@ @PERL_LDFLAGS@ \
 		$(top_srcdir)/lib/event/libevent.a
 
 neostats_LDFLAGS = --export-dynamic -rdynamic
@@ -345,6 +366,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/oscalls.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osfile.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ossocket.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/perl.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/servers.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/services.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/settings.Po@am__quote@

Modified: trunk/src/dbm/Makefile.in
==============================================================================
--- trunk/src/dbm/Makefile.in	(original)
+++ trunk/src/dbm/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -90,6 +90,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -129,6 +131,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -176,12 +180,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 SUBDIRS = bdb gdbm
 LINK = $(LIBTOOL) --tag=CXX --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \

Modified: trunk/src/dbm/bdb/Makefile.in
==============================================================================
--- trunk/src/dbm/bdb/Makefile.in	(original)
+++ trunk/src/dbm/bdb/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -107,6 +107,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -146,6 +148,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -193,12 +197,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = bdb.la
 bdb_la_SOURCES = bdb.c

Modified: trunk/src/dbm/gdbm/Makefile.in
==============================================================================
--- trunk/src/dbm/gdbm/Makefile.in	(original)
+++ trunk/src/dbm/gdbm/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -111,6 +111,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -150,6 +152,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -197,12 +201,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = gdbm.la 
 gdbm_la_SOURCES = gdbm.c \

Added: trunk/src/perl.c
==============================================================================
--- (empty file)
+++ trunk/src/perl.c	Wed Jul  6 18:44:09 2005
@@ -0,0 +1,28 @@
+/* NeoStats - IRC Statistical Services 
+** Copyright (c) 1999-2005 Adam Rutter, Justin Hammond, Mark Hetherington
+** http://www.neostats.net/
+**
+**  This program is free software; you can redistribute it and/or modify
+**  it under the terms of the GNU General Public License as published by
+**  the Free Software Foundation; either version 2 of the License, or
+**  (at your option) any later version.
+**
+**  This program is distributed in the hope that it will be useful,
+**  but WITHOUT ANY WARRANTY; without even the implied warranty of
+**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+**  GNU General Public License for more details.
+**
+**  You should have received a copy of the GNU General Public License
+**  along with this program; if not, write to the Free Software
+**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+**  USA
+**
+** NeoStats CVS Identification
+** $Id: updates.c 2632 2005-06-11 06:09:46Z Fish $
+*/
+
+/* @file NeoStats interface to Perl Interpreter
+ */
+
+#include "neostats.h"
+

Modified: trunk/src/protocol/Makefile.in
==============================================================================
--- trunk/src/protocol/Makefile.in	(original)
+++ trunk/src/protocol/Makefile.in	Wed Jul  6 18:44:09 2005
@@ -155,6 +155,8 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DO_PERL_FALSE = @DO_PERL_FALSE@
+DO_PERL_TRUE = @DO_PERL_TRUE@
 ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -194,6 +196,8 @@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 PCRE_CFLAGS = @PCRE_CFLAGS@
 PCRE_LIBS = @PCRE_LIBS@
+PERL_CFLAGS = @PERL_CFLAGS@
+PERL_LDFLAGS = @PERL_LDFLAGS@
 POW_LIB = @POW_LIB@
 PROTOCOL = @PROTOCOL@
 RANLIB = @RANLIB@
@@ -241,12 +245,15 @@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+perlpath = @perlpath@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 sbindir = @sbindir@
+sedpath = @sedpath@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
+unamepath = @unamepath@
 wi_PWD = @wi_PWD@
 pkglib_LTLIBRARIES = bahamut14.la bahamut18.la \
 						client.la \
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.